#391 System.Exception: Failed to synchronize contact

closed
Exceptions (16)
5
2013-03-29
2012-11-26
Anonymous
No

i get below exception when i sync "Google to Outlook only", anyone can help?

[11/25/2012 4:42:53 AM | Information] Syncing groups...
[11/25/2012 4:42:53 AM | Information] Syncing contacts...
[11/25/2012 4:43:14 AM | Error] System.Exception: Failed to synchronize contact: Yuri.
Please check the contact, if any Email already exists on Google contacts side or if there is too much or invalid data in the notes field.
If the problem persists, please try recreating the contact or report the error on SourceForge:
Could not complete the operation. One or more parameter values are not valid. ---> System.ArgumentException: Could not complete the operation. One or more parameter values are not valid.
at Microsoft.Office.Interop.Outlook.UserProperties.Add(String Name, OlUserPropertyType Type, Object AddToFolderFields, Object DisplayFormat)
at GoContactSyncMod.ContactPropertiesUtils.SetOutlookGoogleContactId(Syncronizer sync, ContactItem outlookContact, Contact googleContact) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\ContactPropertiesUtils.cs:line 95
at GoContactSyncMod.Syncronizer.SaveGoogleContact(ContactMatch match) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\Syncronizer.cs:line 1334
at GoContactSyncMod.Syncronizer.SaveContact(ContactMatch match) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\Syncronizer.cs:line 1057
at GoContactSyncMod.Syncronizer.SaveContacts(List`1 contacts) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\Syncronizer.cs:line 1004
--- End of inner exception stack trace ---
[11/25/2012 4:43:15 AM | Error] System.Exception: Failed to synchronize contact: Reing.
Please check the contact, if any Email already exists on Google contacts side or if there is too much or invalid data in the notes field.
If the problem persists, please try recreating the contact or report the error on SourceForge:
Could not complete the operation. One or more parameter values are not valid. ---> System.ArgumentException: Could not complete the operation. One or more parameter values are not valid.
at Microsoft.Office.Interop.Outlook.UserProperties.Add(String Name, OlUserPropertyType Type, Object AddToFolderFields, Object DisplayFormat)
at GoContactSyncMod.ContactPropertiesUtils.SetOutlookGoogleContactId(Syncronizer sync, ContactItem outlookContact, Contact googleContact) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\ContactPropertiesUtils.cs:line 95
at GoContactSyncMod.Syncronizer.SaveGoogleContact(ContactMatch match) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\Syncronizer.cs:line 1334
at GoContactSyncMod.Syncronizer.SaveContact(ContactMatch match) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\Syncronizer.cs:line 1057
at GoContactSyncMod.Syncronizer.SaveContacts(List`1 contacts) in C:\Users\saller\projects\googlesyncmod\trunk\GoogleContactsSync\Syncronizer.cs:line 1004
--- End of inner exception stack trace ---

Discussion

  • Florian Saller

    Florian Saller - 2012-12-27

    Please unzip the attached beta to your installation folder and try it again, then it should work

     
  • Florian Saller

    Florian Saller - 2012-12-27
    • assigned_to: nobody --> floriwan
    • status: open --> pending
     
  • Florian Saller

    Florian Saller - 2012-12-27

    Beta

     
    Attachments
  • Florian Saller

    Florian Saller - 2013-03-29
    • status: pending --> closed
     
  • Florian Saller

    Florian Saller - 2013-03-29

    no response, so I consider it as closed

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks